<?php

add_action( 'add_meta_boxes', 'tz_metabox_house' );
function tz_metabox_house() {
	$meta_box = array(
		'id' => 'tz_metabox_house',
		'title' =>  'House Options',
		'description' => 'These options enable you to customize your house',
		'page' => 'tz_house',
		'context' => 'normal',
		'priority' => 'high',
		'fields' => array(
			array(
				'name' => 'Large image',
				'desc' => 'Add or upload large image for house detail',
				'id' => '_tz_house_large_image',
				'type' => 'file',
				'std' => ''
			),

			array(
				'name' => 'Price',
				'desc' => 'Enter price of the house',
				'id' => '_tz_house_price',
				'type' => 'text',
				'std' => ''
			),

			array(
				'name' => 'Price description',
				'desc' => 'Enter price description fot the house detail',
				'id' => '_tz_house_price_description',
				'type' => 'textarea',
				'std' => ''
			),

			array(
				'name' => 'Summary',
				'desc' => 'Enter summary of the house',
				'id' => '_tz_house_summary',
				'type' => 'textarea',
				'std' => ''
			),

			// Features

			array(
				'name' => 'Feature image (1)',
				'desc' => 'Add or upload image for feature',
				'id' => '_tz_house_feature_image1',
				'type' => 'file',
				'std' => ''
			),

			array(
				'name' => 'Feature title (1)',
				'desc' => 'Enter title for feature',
				'id' => '_tz_house_feature_title1',
				'type' => 'text',
				'std' => ''
			),

			array(
				'name' => 'Feature description (1)',
				'desc' => 'Enter description for the feature',
				'id' => '_tz_house_feature_description1',
				'type' => 'textarea',
				'std' => ''
			),

			array(
				'name' => 'Feature image (2)',
				'desc' => 'Add or upload image for feature',
				'id' => '_tz_house_feature_image2',
				'type' => 'file',
				'std' => ''
			),

			array(
				'name' => 'Feature title (2)',
				'desc' => 'Enter title for feature',
				'id' => '_tz_house_feature_title2',
				'type' => 'text',
				'std' => ''
			),

			array(
				'name' => 'Feature description (2)',
				'desc' => 'Enter description for the feature',
				'id' => '_tz_house_feature_description2',
				'type' => 'textarea',
				'std' => ''
			),

			array(
				'name' => 'Feature image (3)',
				'desc' => 'Add or upload image for feature',
				'id' => '_tz_house_feature_image3',
				'type' => 'file',
				'std' => ''
			),

			array(
				'name' => 'Feature title (3)',
				'desc' => 'Enter title for feature',
				'id' => '_tz_house_feature_title3',
				'type' => 'text',
				'std' => ''
			),

			array(
				'name' => 'Feature description (3)',
				'desc' => 'Enter description for the feature',
				'id' => '_tz_house_feature_description3',
				'type' => 'textarea',
				'std' => ''
			)
		)
	);

	tz_add_meta_box( $meta_box );
}
