(function($, document, window){

	$(document).ready(function(){

		$("[data-bg-color]").each(function(){
			var color = $(this).data("bg-color");
			$(this).css("background-color",color);
		});

		$("[data-bg-image]").each(function(){
			var image = $(this).data("bg-image");
			$(this).css("background-image","url("+image+")");
		});
	});

	$("#contact-form").on( "submit", function(event) {
		event.preventDefault();
			$('#contact-form .submit input').val('Please wait ...');

			var data = {
					action: 'tz_contact_form',
					data: $(this).serialize()
			};

			$.post( tz.ajax_url, data, function(response) {
					$('#response').empty();

					if (response.name) $('#response').append(response.name);
					if (response.phone) $('#response').append(response.phone);
					if (response.street) $('#response').append(response.street);
					if (response.city) $('#response').append(response.city);
					if (response.email) $('#response').append(response.email);
					if (response.message) $('#response').append(response.message);
					if (response.success) {
							$('#contact-form input[type=text], #contact-form textarea').val('');
							$('#response').append(response.success);
					}

					$('#contact-form .submit input').val('Send A Request');
			}, 'json' );
	});

})(jQuery, document, window);
