<!DOCTYPE html>
<html <?php language_attributes(); ?>>
	<head>
    <meta charset="UTF-8">
		<meta http-equiv="X-UA-Compatible" content="IE=edge">
		<meta name="viewport" content="width=device-width, initial-scale=1.0,maximum-scale=1">

    <link rel="profile" href="http://gmpg.org/xfn/11" />

    <!--[if lt IE 9]>
		<script src="<?php echo get_template_directory_uri() . '/assets/scripts/ie-support/html5.js'; ?>"></script>
		<script src="<?php echo get_template_directory_uri() . '/assets/scripts/ie-support/respond.js'; ?>"></script>
		<![endif]-->

		<?php wp_head(); ?>
	</head>

	<body <?php body_class(); ?>>
		<div id="site-content">

			<header class="site-header">
				<div class="container">
					<div id="branding">
						<a href="/"><img src="<?php echo get_theme_mod( 'tz_logo', get_template_directory_uri() . '/assets/images/logo.png' ); ?>" alt="<?php bloginfo( 'name' ); ?>" class="logo"></a>
						<h1 class="site-title"><a href="<?php echo home_url(); ?>"><?php bloginfo( 'name' ); ?></a></h1>
						<small class="site-description"><?php bloginfo( 'description' ); ?></small>
					</div>
				</div>
			</header> <!-- .site-header -->
