<?php get_header(); ?>
  <?php while( have_posts() ) { the_post(); ?>
    <main class="main-content">
      <div class="hero">
        <div class="featured-image" data-bg-image="<?php the_post_thumbnail_url(); ?>">
          <a href="<?php echo home_url(); ?>" class="button">Back to homepage</a>
        </div>
      </div> <!-- .hero -->

      <div class="fullwidth-block content">
        <div class="container">
          <p class="leading"><?php the_title(); ?></p>
          <?php
            the_content();

            wp_link_pages( array(
              'before'      => '<div class="page-links"><span class="page-links-title">' . __( 'Pages:', 'realestate' ) . '</span>',
              'after'       => '</div>',
              'link_before' => '<span>',
              'link_after'  => '</span>',
              'pagelink'    => '<span class="screen-reader-text">' . __( 'Page', 'realestate' ) . ' </span>%',
              'separator'   => '<span class="screen-reader-text">, </span>',
            ) );
          ?>

          <?php if ( has_tag() ) { ?>
            <div class="entry-meta entry-tags">
              <?php _e( 'Tags:', 'realestate' ); ?> <?php the_tags( '', ', ', '' ); ?>
            </div>
          <?php } ?>

          <?php
            $comments = false;
            if ( $comments )
              comments_template( '', true );
          ?>
        </div>
      </div>
    </main>
  <?php } ?>
<?php get_footer(); ?>
